# Uses of Interface
org.eclipse.jface.text.IFindReplaceTarget

Packages that use IFindReplaceTarget
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IFindReplaceTarget in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return IFindReplaceTarget
Modifier and Type
Method
Description
`IFindReplaceTarget`
ITextViewer.`getFindReplaceTarget()`
Returns the find/replace operation target of this viewer.
`IFindReplaceTarget`
TextViewer.`getFindReplaceTarget()`

## Uses of IFindReplaceTarget in org.eclipse.ui.texteditor

Constructors in org.eclipse.ui.texteditor with parameters of type IFindReplaceTarget
Modifier
Constructor
Description
``
`FindReplaceAction(ResourceBundle bundle, String prefix, Shell shell, IFindReplaceTarget target)`
Creates a new find/replace action for the given target and shell.